xcb_poly_fill_rectangle(3)

NAME
xcb_poly_fill_rectangle - Fills rectangles

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_poly_fill_rectangle(xcb_connection_t *conn, xcb_drawable_t drawable, xcb_gcontext_t gc, uint32_t rectangles_len, const xcb_rectangle_t *rectangles);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

drawable
    The drawable (Window or Pixmap) to draw on.

gc  The graphics context to use. The following graphics context components are used: function, plane-mask, fill-style, subwindow-mode, clip-x-origin, clip-y-origin, and clip-mask. The following graphics context mode-dependent components are used: foreground, background, tile, stipple, tile-stipple-x-origin, and tile-stipple-y-origin.

rectangles_len
    The number of xcb_rectangle_t structures in rectangles.

rectangles
    The rectangles to fill.

DESCRIPTION
Fills the specified rectangle(s) in the order listed in the array. For any given rectangle, each pixel is not drawn more than once. If rectangles intersect, the intersecting pixels are drawn multiple times.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_poly_fill_rectangle_checked. See xcb-requests(3) for details.

ERRORS

xcb_drawable_error_t
    The specified drawable (Window or Pixmap) does not exist.

xcb_g_context_error_t
    The specified graphics context does not exist.

xcb_match_error_t
    TODO: reasons?

SEE ALSO
xcb-requests(3)

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.